package fr.lifl.Aquarium;
import java.util.Random;
import fr.lifl.Aquarium.Simulation.*;
import fr.lifl.Aquarium.Ihm.*;

/**
  * Cette <i>classe</i> lance le programme de simulation. <P>
  *
  * Derniere modification 16 Mars 2000 <br>
  *
  * @author
  * <ul>
  *     <li>Hiblot Sebastien (v1.0)
  *     <li><a href="mailto:renaud91@hotmail.com">Ferret Renaud</a> (v2.++)
  * </ul>
  * @version 2.0
  */
public class Main
{
  
  /**
    * Lancement d'une simulation. <p> 
    * 
    * Le lancement ce fait avec les arguments suivant :
    * <ul>
    * 	<li>args[0] : lang = FR ou EN, ne pas toucher ou traiter cela
    * 	<li>args[1] : mode = text ou visual, ne pas toucher ou traiter cela
    * 	<li>args[2] : parametres = nom fichier d'un objet Parametres serialise
    * 	<li>args[3] : place = nom fichier d'un objet PisteGraphique serialise
    * 	<li>args[4] : list = nom fichier d'un objet ListeVer serialise
    *	</ul>
    */
  public static void main(String args[])
  {
    int i;
    
    // Le lancement ce fait avec les arguments suivant :
    
    // [0] : lang = FR ou EN
    
    // [1] : mode = text ou visual
    
    // [2] : parametres = nom fichier d'un objet Parametres serialise
    
    // [3] : place = nom fichier d'un objet PisteGraphique serialise
    
    // [4] : list = nom fichier d'un objet ListeVer serialise 
    if(args != null)
    {
      if(args.length > 0)
      {
        
        // Specification du langage.
        Langage.setLanguage(args[0]);
        Erreur.setLanguage(args[0]);
        
        // En mode text ou non
        if(args.length > 1)
        {
          if(args[1].equals("text"))
            AquariumGraphique.main(args);
        }
      }
    }
    FenetrePrincipale.main(args);
  }
}
